// pages/piano/piano.js
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    beginDate: null,
    endDate: null,
    list: [
    ],
    loading: '上拉加载',
    flag: 0,
    pageNum: 0,
    hasNextPage: true,
  },



  getPiano: function () {
    wx.navigateTo({
      url: '/pages/makePiano/makePiano',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {


  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let now = new Date();
    // 显示近7天的预约记录
    let bd = util.formatTime(now).substring(0, 10).replace(/\//g, '-')
    let edd = new Date(now.setDate(now.getDate() + 7));
    let ed = util.formatTime(edd).substring(0, 10).replace(/\//g, '-')
    this.setData({ beginDate: bd, endDate: ed, list: [] });
    this.queryList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.hasNextPage) {
      let pn = this.data.pageNum
      this.setData({ loading: '加载中', 'pageNum': ++pn })
      this.queryList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  queryList: function () {
    const urls = urlDef.urls;
    let stu = wx.getStorageSync('student');
    if (stu) {
      let params = { 'q.beginDate': this.data.beginDate, 'q.endDate': this.data.endDate, 'q.studentId': stu.studentId, 'q.orgId': stu.orgId }
      params.pageNum = this.data.pageNum
      util.apiPost(urls.query_appointment_list, params).then(rs => {
        let list = rs.list
        list.map(o => {
          o.visitDate = o.visitDate.substring(0, 10)
        })
        this.setData({
          'hasNextPage': rs.hasNextPage,
          'loading': rs.hasNextPage ? '下拉刷新' : '没有更多数据',
          'list': this.data.list.concat(list)
        })
      })
    }
  }
})